Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.io.streamsource
Class InlineStreamSource

    java.lang.Object
      com.servingxml.io.streamsource.InlineStreamSource

All Implemented Interfaces:
  StreamSource

    public class InlineStreamSource

extends java.lang.Object
implements StreamSource

Field Summary

Fields inherited from interface com.servingxml.io.streamsource.StreamSource
`NULL, NULL_INPUT_STREAM`

Constructor Summary
`InlineStreamSource(java.lang.String str)`
`InlineStreamSource(java.lang.String str, java.nio.charset.Charset charset)`
`InlineStreamSource(java.lang.String str, java.lang.String encoding)`

Method Summary
`void` | `closeStream(java.io.InputStream is)`
`java.nio.charset.Charset` | `getCharset()`
`java.nio.charset.Charset` | `getCharset(java.nio.charset.Charset defaultCharset)`
`Expirable` | `getExpirable()`
`Key` | `getKey()`
`java.lang.String` | `getSystemId()`
`java.io.InputStream` | `openStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InlineStreamSource

    public InlineStreamSource(java.lang.String str)

### InlineStreamSource

    public InlineStreamSource(java.lang.String str,
                              java.nio.charset.Charset charset)

### InlineStreamSource

    public InlineStreamSource(java.lang.String str,
                              java.lang.String encoding)

Method Detail

### openStream

    public java.io.InputStream openStream()

  Specified by:
    `openStream` in interface `StreamSource`

### getKey

    public Key getKey()

  Specified by:
    `getKey` in interface `StreamSource`

### getExpirable

    public Expirable getExpirable()

  Specified by:
    `getExpirable` in interface `StreamSource`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `StreamSource`

### closeStream

    public void closeStream(java.io.InputStream is)
                     throws java.io.IOException

  Specified by:
    `closeStream` in interface `StreamSource`
  Throws:
    `java.io.IOException`

### getCharset

    public java.nio.charset.Charset getCharset()

  Specified by:
    `getCharset` in interface `StreamSource`

### getCharset

    public java.nio.charset.Charset getCharset(java.nio.charset.Charset defaultCharset)

  Specified by:
    `getCharset` in interface `StreamSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD